TSGGLOBAL Support sign in
Skip to page content
Browse TSG Global API docs

TSG Global API documentation Phone Numbers Manage Number for MMS Update inbound MMS webhook/URI

Update inbound MMS webhook/URI

On this page

Change the HTTP(S) or MM4 destination that receives inbound MMS for a phone number. Uses the same endpoint as Enable MMS.

Overview

Update the webhook/URI for inbound MMS messages. This uses the same endpoint as Enable MMS on a Number: calling it on a number that already has MMS enabled replaces the inbound URI.

As a prerequisite to use MMS, the number must already be SMS enabled, and your account must have MMS enabled. Contact support@tsgglobal.com if you have any concerns.

Authentication

Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer <api_key>"

Method

To change where inbound MMS is delivered, call the endpoint below with the new uri.

POST https://api-service.tsgglobal.world/v2/dids/<number>/mms/enable

Path Parameters

Name Type Description
number* String The phone number whose inbound MMS URI you want to update

Request Body

Name Type Description
uri* String A URI pointing to the destination at which you want to receive the messages. Can either be HTTP(S) or an MMS server.

200: OK

{
  "mms_enabled": true,
  "mms_uri": "http://mms.example.com",
  "number": "12342341234",
  "sms_enabled": true,
  "sms_uri": null
}

sms_uri of null means inbound SMS for the number is delivered over SMPP.